Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jms
Interface ConnectionMetaData

    public interface ConnectionMetaData

A `ConnectionMetaData` object provides information describing the `Connection` object.

Method Summary
`int` | `getJMSMajorVersion()` Gets the JMS major version number.
`int` | `getJMSMinorVersion()` Gets the JMS minor version number.
`java.lang.String` | `getJMSProviderName()` Gets the JMS provider name.
`java.lang.String` | `getJMSVersion()` Gets the JMS API version.
`java.util.Enumeration` | `getJMSXPropertyNames()` Gets an enumeration of the JMSX property names.
`int` | `getProviderMajorVersion()` Gets the JMS provider major version number.
`int` | `getProviderMinorVersion()` Gets the JMS provider minor version number.
`java.lang.String` | `getProviderVersion()` Gets the JMS provider version.

Method Detail

### getJMSVersion

    java.lang.String getJMSVersion()
                                   throws JMSException

  Gets the JMS API version.

  Returns:
    the JMS API version
  Throws:
    `JMSException` - if the JMS provider fails to retrieve the metadata due to some internal error.

### getJMSMajorVersion

    int getJMSMajorVersion()
                           throws JMSException

  Gets the JMS major version number.

  Returns:
    the JMS API major version number
  Throws:
    `JMSException` - if the JMS provider fails to retrieve the metadata due to some internal error.

### getJMSMinorVersion

    int getJMSMinorVersion()
                           throws JMSException

  Gets the JMS minor version number.

  Returns:
    the JMS API minor version number
  Throws:
    `JMSException` - if the JMS provider fails to retrieve the metadata due to some internal error.

### getJMSProviderName

    java.lang.String getJMSProviderName()
                                        throws JMSException

  Gets the JMS provider name.

  Returns:
    the JMS provider name
  Throws:
    `JMSException` - if the JMS provider fails to retrieve the metadata due to some internal error.

### getProviderVersion

    java.lang.String getProviderVersion()
                                        throws JMSException

  Gets the JMS provider version.

  Returns:
    the JMS provider version
  Throws:
    `JMSException` - if the JMS provider fails to retrieve the metadata due to some internal error.

### getProviderMajorVersion

    int getProviderMajorVersion()
                                throws JMSException

  Gets the JMS provider major version number.

  Returns:
    the JMS provider major version number
  Throws:
    `JMSException` - if the JMS provider fails to retrieve the metadata due to some internal error.

### getProviderMinorVersion

    int getProviderMinorVersion()
                                throws JMSException

  Gets the JMS provider minor version number.

  Returns:
    the JMS provider minor version number
  Throws:
    `JMSException` - if the JMS provider fails to retrieve the metadata due to some internal error.

### getJMSXPropertyNames

    java.util.Enumeration getJMSXPropertyNames()
                                               throws JMSException

  Gets an enumeration of the JMSX property names.

  Returns:
    an Enumeration of JMSX property names
  Throws:
    `JMSException` - if the JMS provider fails to retrieve the metadata due to some internal error.

Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD